Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Member Functions | Private Types | Private Member Functions | Private Attributes | List of all members
OpenMesh::IO::_OBJReader_ Class Reference

`#include <libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/OBJReader.hh>`

Inheritance diagram for OpenMesh::IO::_OBJReader_:

## Public Member Functions
std::string | get_description () const
| Returns a brief description of the file type that can be parsed.
std::string | get_extensions () const
bool | read (const std::string &_filename, BaseImporter &_bi, Options &_opt)
bool | read (std::istream &_in, BaseImporter &_bi, Options &_opt)
Public Member Functions inherited from OpenMesh::IO::BaseReader
virtual | ~BaseReader ()
| Destructor.
virtual std::string | get_magic () const
| Return magic bits used to determine file format.
virtual bool | can_u_read (const std::string &_filename) const
| Returns true if writer can parse _filename (checks extension). _filename can also provide an extension without a name for a file e.g. _filename == "om" checks, if the reader can read the "om" extension. More...

## Private Types
typedef std::map< std::string, Material > | MaterialList

## Private Member Functions
bool | read_material (std::fstream &_in)

## Private Attributes
MaterialList | materials_
std::string | path_

## Additional Inherited Members
Protected Member Functions inherited from OpenMesh::IO::BaseReader
bool | check_extension (const std::string &_fname, const std::string &_ext) const

## Detailed Description

Implementation of the OBJ format reader.

Definition at line 87 of file OBJReader.hh.

## Member Function Documentation

std::string OpenMesh::IO::_OBJReader_::get_extensions | ( |  | ) | const
| inline virtual

Returns a string with the accepted file extensions separated by a whitespace and in small caps.

Implements OpenMesh::IO::BaseReader.

Definition at line 96 of file OBJReader.hh.

bool OpenMesh::IO::_OBJReader_::read | ( | const std::string & | _filename,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |
| virtual

Reads a mesh given by a filename. Usually this method opens a stream and passes it to stream read method. Acceptance checks by filename extension can be placed here.

Options can be passed via _opt. After execution _opt contains the Options that were available

Implements OpenMesh::IO::BaseReader.

Definition at line 129 of file OBJReader.cc.

bool OpenMesh::IO::_OBJReader_::read | ( | std::istream & | _is,
|  | BaseImporter & | _bi,
|  | Options & | _opt
| ) |  |
| virtual

Reads a mesh given by a std::stream. This method usually uses the same stream reading method that read uses. Options can be passed via _opt. After execution _opt contains the Options that were available.

Please make sure that if _is is std::ifstream, the correct std::ios_base::openmode flags are set.

Implements OpenMesh::IO::BaseReader.

Definition at line 287 of file OBJReader.cc.

The documentation for this class was generated from the following files:

- libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/OBJReader.hh
- libs_required/OpenMesh/src/OpenMesh/Core/IO/reader/OBJReader.cc